X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Add on needed for work, produces javascript error

Posted

My girlfriend is using an app she needs for work. It should generate a javascript window, but before it opens it it says Javascript Application TypeError: netscape.security.PrivilegeManager is undefined Then the window that opens doesn't allow me to populate the fields in it.

Is there any way to get around this?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Version 3.13.1.11376
  • Google Talk Plugin Video Accelerator version:0.1.44.23
  • Adobe® Acrobat® Plug-in for Web Browsers, Version 10.1.5
  • Displays Java applet content, or a placeholder if Java is not installed.
  • Picasa plugin.
  • Plugin for Wacom tablets.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • DivX Web Player version 2.0.3.4
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6629 answers

Whatever add-on this is simply needs to be updated to support new versions of Firefox. Please contact the developer.

cor-el
  • Top 10 Contributor
  • Moderator
10738 solutions 96600 answers

Support for enablePrivilege has been removed in Firefox (Bug 546848), so it is no longer possible to get special elevated privileges via the netscape.security.PrivilegeManager interface.

Extensions do not need to use this (they already run code with proper privileges) and if web page use this then they will have to use other ways get what they want like providing a Firefox extension.


(Bug 546848 - Remove support for enablePrivilege)